CatalogNotifications
Get template
Returns the template for that key in a required channel and an optional locale.
Path Parameters
templateKey*string
Key of the template.
Query Parameters
channel*string
Notification channel, such as email or whatsApp.
Value in
- "email"
- "sms"
- "push"
- "whatsApp"
- "inApp"
- "webhook"
locale?string
Language code for localized content.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/notifications/templates/Confirmación de pedido?channel=email" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004326810", "tenantId": "7204558912004327890", "key": "color", "group": "Confirmación de pedido", "name": "Confirmación de pedido", "notification": "email", "version": 3, "bodyTpl": "Confirmación de pedido", "status": "draft"}